
import com.urbancode.air.CommandHelper

final def props = new Properties();
final def inputPropsFile = new File(args[0]);
final def inputPropsStream = null;
try {
    inputPropsStream = new FileInputStream(inputPropsFile);
    props.load(inputPropsStream);
}
catch (IOException e) {
    throw new RuntimeException(e);
}
def powershell = props['powerShellExe']? props['powerShellExe'] : 'PowerShell.exe'
def application = props['application'];
def file = new File(props['file']).canonicalPath
def btsTask = props['btsTask']? props['btsTask'] : 'btsTask.exe'
def btDatabase = props['btDatabase'];
def PLUGIN_HOME = System.getenv()['PLUGIN_HOME']
def ch = new CommandHelper(new File('.'));

def psScript = PLUGIN_HOME + '\\ps_Biztalk_modify_app.ps1'
psScript = "\'${psScript}\'"
def appArg = "\'${application}\'"
def fileArg = "\'${file}\'"
def btsTaskArg = "\'${btsTask}\'"
def btDatabaseArg = btDatabase ? "\'${btDatabase}\'" : ""

def args = [];
args = [powershell, "-Command", "\"& ${psScript} ${appArg} ${fileArg} ${btsTaskArg} ${btDatabaseArg}\""]
ch.runCommand("Installing/Upgrading BizTalk application ${appArg}: ", args);
