
import com.urbancode.air.CommandHelper

final def props = new Properties();
final def inputPropsFile = new File(args[0]);
final def inputPropsStream = null;
try {
    inputPropsStream = new FileInputStream(inputPropsFile);
    props.load(inputPropsStream);
}
catch (IOException e) {
    throw new RuntimeException(e);
}

def powershell = props['powerShellExe']? props['powerShellExe'] : 'PowerShell.exe'
def application = props['application'];
def PLUGIN_HOME = System.getenv()['PLUGIN_HOME']
def ch = new CommandHelper(new File('.'));

def psScript = PLUGIN_HOME + '\\ps_Biztalk_start_stop_app.ps1'
psScript = "\'${psScript}\'"
def appArg =  "\'${application}\'"

def args = [];
args = [powershell, "-Command", "\"& ${psScript} ${appArg} start\""]
ch.runCommand("Starting BizTalk application, '${application}': ", args);
